<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: Path Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classPath-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Path Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Path:</div>
<div class="dyncontent">
<div class="center"><img src="classPath__inherit__graph.png" border="0" usemap="#aPath_inherit__map" alt="Inheritance graph"/></div>
<map name="aPath_inherit__map" id="aPath_inherit__map">
<area shape="rect" title=" " alt="" coords="45,80,96,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Path:</div>
<div class="dyncontent">
<div class="center"><img src="classPath__coll__graph.png" border="0" usemap="#aPath_coll__map" alt="Collaboration graph"/></div>
<map name="aPath_coll__map" id="aPath_coll__map">
<area shape="rect" title=" " alt="" coords="45,80,96,107"/>
<area shape="rect" title=" " alt="" coords="5,5,136,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a162415663d61351f81b864420eb882db"><td class="memItemLeft" align="right" valign="top"><a id="a162415663d61351f81b864420eb882db"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pathFinishedDrawing</b> (PathType type)</td></tr>
<tr class="separator:a162415663d61351f81b864420eb882db"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a41b20b3fed7d0dae191383deb317ab8b"><td class="memItemLeft" align="right" valign="top"><a id="a41b20b3fed7d0dae191383deb317ab8b"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Path</b> (const std::vector&lt; <a class="el" href="classNode.html">Node</a> &gt; &amp;path, PathType type, int speed=path_speed, int index=0, QGraphicsItem *parent=nullptr)</td></tr>
<tr class="separator:a41b20b3fed7d0dae191383deb317ab8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2261635632f13fabc5a6d296cb3e6bf8"><td class="memItemLeft" align="right" valign="top"><a id="a2261635632f13fabc5a6d296cb3e6bf8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>drawNext</b> ()</td></tr>
<tr class="separator:a2261635632f13fabc5a6d296cb3e6bf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1770ec0d2fe9e99d8168e56d8d5d5aab"><td class="memItemLeft" align="right" valign="top"><a id="a1770ec0d2fe9e99d8168e56d8d5d5aab"></a>
QRectF&#160;</td><td class="memItemRight" valign="bottom"><b>boundingRect</b> () const</td></tr>
<tr class="separator:a1770ec0d2fe9e99d8168e56d8d5d5aab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad5ccdd5bfc4a8dc9d0d11b966531d2b"><td class="memItemLeft" align="right" valign="top"><a id="aad5ccdd5bfc4a8dc9d0d11b966531d2b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>paint</b> (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget)</td></tr>
<tr class="separator:aad5ccdd5bfc4a8dc9d0d11b966531d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a7ced8de5fc8a7f0e8eaeea46e12a9763"><td class="memItemLeft" align="right" valign="top"><a id="a7ced8de5fc8a7f0e8eaeea46e12a9763"></a>
static const int&#160;</td><td class="memItemRight" valign="bottom"><b>path_speed</b> = 20</td></tr>
<tr class="separator:a7ced8de5fc8a7f0e8eaeea46e12a9763"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Path_8h_source.html">Path.h</a></li>
<li>src/Path.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
